.error-container {
    height: 100vh;
    position: relative;
}

.tooltip-wrapper {
    display: inline-block;
    border-bottom: 1px dotted black;
    cursor: help;
}

.tooltip-wrapper-inside {
    position: absolute;
}

.tooltip-wrapper .tooltip-wrapper-tooltip {
    visibility: hidden;
    position: absolute;
    width: 200px;
    bottom: 100%;
    left: 50%;
    margin-left: -60px;
    background-color: #363636;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;
    z-index: 1500;
}

.tooltip-wrapper .tooltip-wrapper-tooltip::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

.tooltip-wrapper:hover .tooltip-wrapper-tooltip {
    visibility: visible;
}

.icon-with-text {
    display: flex;
}
.icon-with-text .icon-with-text-text {
    padding-left: .5rem;
    white-space: nowrap;
}
.icon-with-text .icon-with-text-text-container {
    overflow: hidden;
    max-width: 0;
    transition: max-width ease 2s;
}
.icon-with-text:hover .icon-with-text-text-container {
    max-width: 200px;
}

.center {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.fullscreen-page .sidebar {
    display: none !important;
}
.fullscreen-page .navbar {
    display: none !important;
}
.fullscreen-page .sticky-footer {
    display: none !important;
}
.fullscreen-card .container-head {
    display: none !important;
}
.fullscreen-card .container-fluid {
    padding: 0 !important;
    margin: 0 !important;
}
.fullscreen-card .container-body > .container-body-content > :not(.fullscreen-override) {
    display: none !important;
}

.progress {
    height: 1.5rem;
    font-size: 1rem;
}
.progress-bar {
    transition: width 1.5s ease-out;
    font-weight: bold;
    border-radius: 0.35rem;
}
.darkmode .progress {
    background-color: black;
}
.darkmode .progress-bar {
    background-color: #1e1e1e;
    border: 1px solid #707070 !important;
}

.blazored-toast-container {
    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 1100;
}

.position-topleft,
.position-topright,
.position-topcenter {
    top: 0;
}

.position-bottomleft,
.position-bottomright,
.position-bottomcenter {
    bottom: 0;
}

.blazored-toast {
    display: flex;
    position: relative;
    flex-direction: row;
    animation: fadein 1.5s;
    margin-bottom: 1rem;
    padding: 1rem 1.25rem;
    color: #fff;
    width: 100vw;
    box-shadow: rgba(0,0,0,0.25) 0px 10px 40px;
}

.blazored-toast-component {
    display: initial;
    padding: 0 0 0 0;
}

.blazored-toast-info {
    background-color: #34a9ad;
}

.blazored-toast-success {
    background-color: #5fba7d;
}

.blazored-toast-warning {
    background-color: #c1c13e;
}

.blazored-toast-error {
    background-color: #ba5e5e;
}

.blazored-toast-icon {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 1rem 0 0;
    font-size: 2.5rem;
}

.blazored-toast-body {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.blazored-toast-body .blazored-toast-header {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.blazored-toast-body .blazored-toast-header h5 {
    font-weight: bold;
    text-transform: uppercase;
    font-size: 1.5rem;
    margin-bottom: 0;
    line-height: 32px;
}

.blazored-toast-body .blazored-toast-header .blazored-toast-close {
    background-color: transparent;
    border: 0;
    -webkit-appearance: none;
    color: inherit;
    font-size: 1.25rem;
}

.blazored-toast-body p {
    margin-bottom: 0;
    font-size: 1rem;
    overflow-wrap: break-word;
    word-wrap: break-word;
    word-break: break-word;
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
}

.blazored-toast-progressbar {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 8px;
    border-bottom-left-radius: .25rem;
    border-bottom-right-radius: .25rem;
}

.blazored-toast-progressbar > span {
    position: absolute;
    filter: brightness(75%);
    height: 8px;
    border-bottom-left-radius: .25rem;
    background-image: linear-gradient(rgba(0, 0, 0, 0.2) 0);
    transition: all .5s linear;
}

.blazored-toast-action {
    cursor: pointer;
}

@keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@media (min-width: 576px) {

    .position-topleft {
        top: 2rem;
        left: 2rem;
    }

    .position-topright {
        top: 2rem;
        right: 2rem;
    }

    .position-topcenter {
        top: 2rem;
        left: 50%;
        margin-left: -15rem;
    }

    .position-bottomleft {
        bottom: 2rem;
        left: 2rem;
    }

    .position-bottomright {
        bottom: 2rem;
        right: 2rem;
    }

    .position-bottomcenter {
        bottom: 2rem;
        left: 50%;
        margin-left: -15rem;
    }

    .blazored-toast {
        width: 30rem;
        border-radius: .25rem;
    }
}

.logout-page, .login-page {
    color: white;
}
.logout-page-index, .login-page-index {
    height: 100%;
    background-color: #181818;
}

.account-log-page h4 {
    font-weight: 600;
}

.account-log-page .section{
    position: relative;
    width: 100%;
    display: block;
}
.logout-page-index .fill-height, .login-page-index .fill-height {
    min-height: 92.328vh;
}
.logout-page-interface .fill-height, .logout-page-interface .fill-height {
    min-height: 54vh;
}

.account-log-page .card-login-wrap {
    position: relative;
    width: 440px;
    max-width: 100%;
    height: 500px;
    perspective: 800px;
    margin-top: 60px;
}
.account-log-page .card-login-wrapper {
    width: 100%;
    height: 100%;
    position:absolute;
    top: 0;
    left: 0;
}
.account-log-page .card-login {
    width: 100%;
    height: 100%;
    background: linear-gradient(
            200deg
            , rgba(213, 213, 213, 0.01) 0%, rgba(213, 213, 213, 0.01) 14.286%, rgba(140, 140, 140, 0.01) 14.286%, rgba(140, 140, 140, 0.01) 28.572%, rgba(52, 52, 52, 0.01) 28.572%, rgba(52, 52, 52, 0.01) 42.858%, rgba(38, 38, 38, 0.01) 42.858%, rgba(38, 38, 38, 0.01) 57.144%, rgba(159, 159, 159, 0.01) 57.144%, rgba(159, 159, 159, 0.01) 71.42999999999999%, rgba(71, 71, 71, 0.01) 71.43%, rgba(71, 71, 71, 0.01) 85.71600000000001%, rgba(88, 88, 88, 0.01) 85.716%, rgba(88, 88, 88, 0.01) 100.002%), linear-gradient(
            337deg
            , rgba(25, 25, 25, 0.01) 0%, rgba(25, 25, 25, 0.01) 12.5%, rgba(150, 150, 150, 0.01) 12.5%, rgba(150, 150, 150, 0.01) 25%, rgba(84, 84, 84, 0.01) 25%, rgba(84, 84, 84, 0.01) 37.5%, rgba(85, 85, 85, 0.01) 37.5%, rgba(85, 85, 85, 0.01) 50%, rgba(188, 188, 188, 0.01) 50%, rgba(188, 188, 188, 0.01) 62.5%, rgba(80, 80, 80, 0.01) 62.5%, rgba(80, 80, 80, 0.01) 75%, rgba(73, 73, 73, 0.01) 75%, rgba(73, 73, 73, 0.01) 87.5%, rgba(219, 219, 219, 0.01) 87.5%, rgba(219, 219, 219, 0.01) 100%), linear-gradient(
            203deg
            , rgba(233, 233, 233, 0.01) 0%, rgba(233, 233, 233, 0.01) 25%, rgba(114, 114, 114, 0.01) 25%, rgba(114, 114, 114, 0.01) 50%, rgba(164, 164, 164, 0.01) 50%, rgba(164, 164, 164, 0.01) 75%, rgba(228, 228, 228, 0.01) 75%, rgba(228, 228, 228, 0.01) 100%), linear-gradient(
            317deg
            , rgba(139, 139, 139, 0.02) 0%, rgba(139, 139, 139, 0.02) 16.667%, rgba(44, 44, 44, 0.02) 16.667%, rgba(44, 44, 44, 0.02) 33.334%, rgba(166, 166, 166, 0.02) 33.334%, rgba(166, 166, 166, 0.02) 50.001000000000005%, rgba(2, 2, 2, 0.02) 50.001%, rgba(2, 2, 2, 0.02) 66.668%, rgba(23, 23, 23, 0.02) 66.668%, rgba(23, 23, 23, 0.02) 83.33500000000001%, rgba(21, 21, 21, 0.02) 83.335%, rgba(21, 21, 21, 0.02) 100.002%), linear-gradient(
            328deg
            , rgba(3, 3, 3, 0.03) 0%, rgba(3, 3, 3, 0.03) 12.5%, rgba(116, 116, 116, 0.03) 12.5%, rgba(116, 116, 116, 0.03) 25%, rgba(214, 214, 214, 0.03) 25%, rgba(214, 214, 214, 0.03) 37.5%, rgba(217, 217, 217, 0.03) 37.5%, rgba(217, 217, 217, 0.03) 50%, rgba(68, 68, 68, 0.03) 50%, rgba(68, 68, 68, 0.03) 62.5%, rgba(118, 118, 118, 0.03) 62.5%, rgba(118, 118, 118, 0.03) 75%, rgba(200, 200, 200, 0.03) 75%, rgba(200, 200, 200, 0.03) 87.5%, rgba(198, 198, 198, 0.03) 87.5%, rgba(198, 198, 198, 0.03) 100%), linear-gradient(
            97deg
            , rgba(195, 195, 195, 0.03) 0%, rgba(195, 195, 195, 0.03) 16.667%, rgba(177, 177, 177, 0.03) 16.667%, rgba(177, 177, 177, 0.03) 33.334%, rgba(170, 170, 170, 0.03) 33.334%, rgba(170, 170, 170, 0.03) 50.001000000000005%, rgba(158, 158, 158, 0.03) 50.001%, rgba(158, 158, 158, 0.03) 66.668%, rgba(121, 121, 121, 0.03) 66.668%, rgba(121, 121, 121, 0.03) 83.33500000000001%, rgba(146, 146, 146, 0.03) 83.335%, rgba(146, 146, 146, 0.03) 100.002%), linear-gradient(
            268deg
            , rgba(103, 103, 103, 0.03) 0%, rgba(103, 103, 103, 0.03) 25%, rgba(112, 112, 112, 0.03) 25%, rgba(112, 112, 112, 0.03) 50%, rgba(4, 4, 4, 0.03) 50%, rgba(4, 4, 4, 0.03) 75%, rgba(227, 227, 227, 0.03) 75%, rgba(227, 227, 227, 0.03) 100%), linear-gradient(
            90deg
            , hsl(98, 0%, 0%), hsl(98, 0%, 0%));
    background-color: #2a2b38;
    background-position: bottom center;
    background-repeat: no-repeat;
    background-size: 300%;
    position: absolute;
    border-radius: 6px;
    left: 0;
    top: 0;
}
.account-log-page .center-wrap{
    position: absolute;
    width: 100%;
    padding: 0 35px;
    top: 50%;
    left: 0;
    transform: translate3d(0, -50%, 35px) perspective(100px);
    z-index: 20;
    display: block;
}

.account-log-page .form-group{
    position: relative;
    display: block;
    margin: 0;
    padding: 0;
}
.account-log-page .form-style {
    padding: 13px 20px;
    padding-left: 55px;
    height: 48px;
    width: 100%;
    font-weight: 500;
    border-radius: 4px;
    font-size: 14px;
    line-height: 22px;
    letter-spacing: 0.5px;
    outline: none;
    color: #ffffff;
    background-color: #1f2029;
    border: none;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
    box-shadow: 0 4px 8px 0 rgba(21,21,21,.2);
}
.account-log-page .form-style:focus,
.account-log-page .form-style:active {
    border: none;
    outline: none;
    box-shadow: 0 4px 8px 0 rgba(21,21,21,.2);
}
.account-log-page .input-icon {
    position: absolute;
    top: 0;
    left: 18px;
    height: 48px;
    font-size: 24px;
    line-height: 48px;
    text-align: left;
    color: #007bff;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
}

.account-log-page .btn-login {
    border-radius: 4px;
    height: 44px;
    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;
    -webkit-transition : all 200ms linear;
    transition: all 200ms linear;
    padding: 0 30px;
    letter-spacing: 1px;
    display: -webkit-inline-flex;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-align-items: center;
    -moz-align-items: center;
    -ms-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    -moz-justify-content: center;
    -ms-justify-content: center;
    justify-content: center;
    -ms-flex-pack: center;
    text-align: center;
    border: none;
    color: #ffffff;
    box-shadow: 0 8px 24px 0 rgba(255,235,167,.2);
}
.account-log-page .btn-login:active,
.account-log-page .btn-login:focus{
    background-color: #102770;
    color: #ffeba7;
    box-shadow: 0 8px 24px 0 rgba(16,39,112,.2);
}
.account-log-page .btn-login:hover{
    background-color: #102770;
    color: #ffeba7;
    box-shadow: 0 8px 24px 0 rgba(16,39,112,.2);
}

.account-log-page .form-group input:-ms-input-placeholder  {
    color: #c4c3ca;
    opacity: 0.7;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
}
.account-log-page .form-group input::-moz-placeholder  {
    color: #c4c3ca;
    opacity: 0.7;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
}
.account-log-page .form-group input:-moz-placeholder  {
    color: #c4c3ca;
    opacity: 0.7;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
}
.account-log-page .form-group input::-webkit-input-placeholder  {
    color: #c4c3ca;
    opacity: 0.7;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
}
.account-log-page .form-group input:focus:-ms-input-placeholder  {
    opacity: 0;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
}
.account-log-page .form-group input:focus::-moz-placeholder  {
    opacity: 0;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
}
.account-log-page .form-group input:focus:-moz-placeholder  {
    opacity: 0;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
}
.account-log-page .form-group input:focus::-webkit-input-placeholder  {
    opacity: 0;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
}

#file-manager {
    width: 100%;
    position: relative;
}
#file-manager-toolbar {
    height: 2.5rem;
    border-bottom: 1px solid #e0e0e0;
}
#file-manager-toolbar-left {
    left: 0;
    position: absolute;
    line-height: 35px;
    display: table;
    top: 0;
    height: 100%;
}
#file-manager-toolbar-right {
    right: 0;
    position: absolute;
    line-height: 35px;
    display: table;
    top: 0;
    height: 100%;
}
.file-manager-toolbar-item {
    min-width: 34px;
    padding: 0 1px;
    align-content: center;
    align-items: center;
    cursor: pointer;
    display: inline-flex;
    min-height: 39px;
    vertical-align: middle;
    width: auto;
}
.file-manager-toolbar-item-button {
    background-color: #303030;
    color: white;
    border: none;
    cursor: pointer;
    overflow: hidden;
    text-align: center;
    width: auto;
    height: inherit;
    align-self: center;
    text-overflow: ellipsis;
    box-shadow: none;
}
.file-manager-toolbar-item-button:hover {
    background-color: #444;
}
.file-manager-toolbar-item-button i {
    padding: 0 0 0 12px;
}
.file-manager-toolbar-item-button span {
    padding: 0 12px 0 8px;
}

#file-manager-content {
    width: 100%;
    display: flex;
    position: relative;
    flex-direction: row;
    min-height: 400px;
}
#file-manager-content-nav {
    min-width: 220px;
}
#file-manager-content-files {
    width: 100%;
}
.file-manager-content-nav-main {
    margin: 0;
    display: block;
    list-style: none;
}
.file-manager-content-nav-item {
    padding: 0 0 0 24px;
}
.file-manager-content-nav-item > div {
    cursor: pointer;
}
.file-manager-content-nav-item > div > i {
    width: 26px;
    height: 20px;
    margin: 0 0 0 -24px;
    display: inline-block;
}
.file-manager-content-nav-item > div > span {
    width: 100%;
}
